Willkommen

JetEdit 3.0 Hilfe

Willkommen bei der JetEdit 3.0 Hilfe.

Diese Hilfe führt Sie durch die Funktionen von JetEdit 3.0 und erläutert diese anschaulich. Da das Design von JetEdit an das von NetJet angelehnt wurde, werden Sie keine großen Probleme bei der Bedienung von JetEdit haben.

© 2001 XynX!® GmbH - Deutschland


Neues Dokument erstellen...

Mit diesem Dialogfeld können Sie auf einfache Weise bestimmen, welcher Art das neue Dokument sein soll. Dabei stehen die folgenden Optionen zur Verfügung:

  • HTML-Dokument

  • Script-Dokument

  • CSS-Dokument

  • PHP-Dokument

  • Perl-Dokument

  • Leeres Dokument

Bitte wählen Sie einfach eine angegebenen Optionen und klicken Sie anschließend auf die Taste "Weiter >". Wenn keine weiteren Angaben benötigt werden, klicken Sie auf "Fertigstellen"-Taste.


Eigenschaften von Dokument

Dieser Dialog gibt über die Eigenschaften des aktuellen Dokuments Auskunft.

Hinweis: Dieser Dialog kann nur dann aufgerufen werden, wenn ein Dokument von einem Datenträger geladen wurde. Bei neu erstellten Dokumenten ist der Dialog nicht verfügbar.


Drucker einrichten...

Dieser Dialog dient zur Einstellung der Druckeroptionen. Dazu stehen die folgenden Angaben zur Verfügung:

  • Leerzeichen pro Tabulator
    Wenn in dem Dokument Tabulator-Zeichen enthalten sind, werden diese durch die hier angegebene Anzahl an normalen Leerzeichen dargestellt.

  • Automatischer Zeilenumbruch
    Wenn eine Zeile beim Drucken länger ist und daher am rechten Papierrand abgeschnitten würde, kann durch diese Option ein Zeilenumbruch erzwungen werden.

  • Zeilennummern drucken
    Soll JetEdit bei der Ausgabe am linken Papierrand Zeilennummern ausgeben?

  • Highlighter benutzen
    Sollen beim Drucken die aktuellen Syntaxhervorhebungen auch dargestellt werden?

  • Farbausdruck
    Wenn Sie einen Farbdrucker besitzen, können Sie durch diese Option einen entsprechenden Ausdruck erhalten.

Wenn Sie die Änderungen übernehmen möchten, klicken Sie auf die Taste "OK", im anderen Fall auf die Taste "Abbrechen".


Einstellungen - Allgemein

Hier können Sie JetEdit Ihren Vorstellungen nach anpassen.

  • Dateierweiterungsvorgabe
    Legen Sie fest, welche Dateierweiterung standardmäßig Unbenannten Dokumenten zugewiesen werden soll.

  • Programmende bestätigen lassen
    JetEdit fragt beim Programmende an, ob diese Aktion wirklich gewünscht wird.

  • NetJet Optionen übernehmen (erforder JetEdit-Neustart)
    JetEdit übernimmt das Projektverzeichnis, beim öffnen von Projekten und den Standard-Bearbeiter für neue Dokumente

  • Editorschrift
    stellen Sie hier die Schriftart des Editorfensters ein.

  • Schriftgröße
    legen Sie hier die Größe der Schriftart fest

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Einstellungen - Syntaxhervorhebung

Passen Sie mit Hilfe dieses Dialoges die Syntaxhervorhebung von JetEdit Ihren Wünschen an.

  • Highlighter
    Suchen Sie sich einen Highlighter (Hervorheber) heraus, den Sie konfigurieren möchten.

  • Element
    Legen Sie das Element fest, welches Sie anpassen möchten.

  • Vordergrund
    Wählen Sie eine Vordergrundfarbe für das aktuelle Element des gewählten Highlighters. Wenn Sie das Häckchen davor entfernen, dann ist die Vordergrundfarbe des Highlighters unbestimmt (Windowsstandard).

  • Hintergrund
    Wählen Sie eine Hintergrundfarbe für das aktuelle Element des gewählten Highlighters. Wenn Sie das Häckchen davor entfernen, dann ist die Hintergrundfarbe des Highlighters unbestimmt (Windowsstandard).

  • Schriftstil
    Wählen Sie hier einen Schriftstil für das gewählte Element aus. Es lassen sich auch mehrere Stile miteinander kombinieren.

  • Zurücksetzen
    Mit Hilfe dieser Funktion können Sie den gewählten Highlighter wieder zum Standard zurücksetzen.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Verweis einfügen...

Das A und O einer Site sind die Sprungmöglichkeiten zu anderen Dokumenten und natürlich auch zu anderen Sites. In JetEdit können leicht alle möglichen Arten von Verweisen eingegeben werden:

  • Protokoll
    Aus den gegebenen Protokollen können Sie einfach eines auswählen. Die Protokollangabe befindet sich bei einer absoluten URL immer an erster Stelle. Durch die Angabe weiß der Browser, welches Transportprotokoll für die Übertragung verwenden soll.
    Allerdings werden absolute URLs nur recht selten innerhalb einer Site benötigt. Die meisten Verweise finden innerhalb der Site statt und benötigen daher nur die sogenannten relativen URL. Die relativen URL bekommt man am einfachsten mit der Durchsuchen-Schaltfläche und der anschließenden Auswahl einer Datei der Site.
    Bem.: Auch hier spielt die schon bei Bildern besprochene Groß-/Kleinschreibung eine entscheidende Rolle. Derartige Schreibfehler äußern sich eigentlich immer darin, dass z.B. das angesprochene Dokument nicht geladen werden kann.

  • Server
    Geben Sie hier den Namen des Rechners im Netz an. Die Angabe kann entweder durch den regulären Namen oder aber durch die vierstellige IP-Adresse erfolgen.

  • Port
    Diese Angabe braucht normalerweise nicht gesetzt zu werden. Falls aber doch, schreiben Sie hier einfach die Dezimalzahl des jeweiligen Ports hinein. Der notwendige Doppelpunkt zur Abtrennung des Ports vom Servernamen wird von JetEdit selbstständig eingesetzt.

  • Pfad
    Tragen Sie hier den Pfad für die Referenz ein. Absolute Pfade sollten immer mit einem einfachen Schrägstrich ( / ) beginnen.

  • Datei
    Hier steht der Dateiname der Referenz.

  • Sprungziel
    Innerhalb eines Dokuments kann ein beliebige Sprungmarke direkt angesprungen werden. Sprungzielangaben beginnen immer mit einem #. Das #-Zeichen dient als Trenner zwischen dem Dateinamen und der Zeichenkette des Sprungziels.

  • URL
    Hier sehen Sie die Zusammenstellung der gemachten Angaben. Anhand dieser Ausgabe kann leicht kontrolliert werden, ob die URL so wie gewünscht aussieht.

  • Zielframe
    Eingabe des Zielframes. Hier kann angegeben werden, in welches Zielframe verzweigt werden soll. Vorgegeben sind in dem Eingabeelement bereits die reservierten Namen "_blank", "_parent", "_top" und "_self".

  • Adresse
    eMail-Adresse des Empfängers

  • Betreff
    Hier kann eine Betreffzeile vorgegeben werden, die das eMail-Programm automatisch einsetzt.

  • CC / BCC
    Hier können weitere Empfäger für die eMail angegeben werden

  • Textvorgabe / Daten
    Hier können weitere Vorgaben gemacht werden, die dann direkt in die eMail eingefügt werden.

  • URL
    Hier kann eine URL angegeben werden, die dann vom Browser beim Anklicken des Verweises ausgeführt wird.

Alle anderen Arten von Referenzen bzw. deren Protokollangaben (so z.B. mailto, ftp, nntp) lassen sich einfach durch die Combo-Box mit dem Namen Protokoll eingeben. JetEdit kennt die folgenden Protokolle, verwendet zum Dateitransfer jedoch nur "file", also Dateizugriffe auf der eigenen Festplatte: file, http, ftp, telnet, mailto, news, nntp, gopher, wais.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Sprungziel einfügen...

Innerhalb eines Dokuments können beliebig viele Sprungziele definiert werden. Die Namen der Sprungziele können frei gewählt werden, jedoch sollten ausschließlich normale ASCII-Zeichen Verwendung finden.

Hinweis: Wenn sich beim Beenden des Dialogs in dem Eingabefeld keine Zeichen befinden, wird der Dialog trotzdem beendet, es wird jedoch kein Sprungziel in das aktuelle Dokument eingefügt.


Bild einfügen...

Der "Bild einfügen..."-Dialog dient dazu, ein neues Bild in das Dokument aufzunehmen.

  • Bild-Quelle / Durchsuchen
    In die Eingabezeile kann direkt der Pfad und der Dateiname des Bildes eingegeben werden. Alternativ wird mit „Durchsuchen“ der Dialog „Bilddatei suchen/einsetzen“ angezeigt.
    Hinweis: Um die Kompatibilität zu den im Internet weit verbreiteten Unix-Dateisystemen herzustellen, kommt es bei der Dateiangabe auf die Groß-/Kleinschreibung an. Wenn Sie also den Namen "freihändig" eingeben und dabei einen derartigen Schreibfehler machen, wird der Browser später u.U. die gewünschte Datei nicht finden! Und aus diesem Grund wird dringend geraten, Dateien per Durchsuchen von JetEdit selbst eintragen zu lassen.

  • Breite
    des einzusetzenden Bildes. Vorgegeben ist die tatsächliche Breite in Pixeln. Änderungen bewirken, dass sich das Bild in der Darstellungsbreite ändert. Statt der Eingabe eines absoluten Wertes, z.B. wie hier 200, kann auch ein Prozentwert eingegeben werden, z.B. 150%. Dadurch würde sich die Breite des Bildes auf 150% der aktuellen Fensterbreite vergrößern.

  • Höhe
    des einzusetzenden Bildes. Vorgegeben ist die tatsächliche Höhe. Änderungen bewirken, dass sich das Bild in der Darstellungshöhe ändert. Statt der Eingabe eines absoluten Wertes, z.B. wie hier 250, kann auch ein Prozentwert eingegeben werden, z.B. 150%. Dadurch würde sich die Höhe des Bildes auf 150% der Fensterhöhe vergrößern.

  • Ausrichtung
    des Bildes. Möglich sind: Oben, Mitte, Unten, Links, Rechts, Basiszeile, Texthöhe, Absolute Mitte, Absolut Unten.
    Beispiel: Ein Bild wird neben eine Überschrift eingesetzt und erhält die Ausrichtung "Basiszeile“. In diesem Fall liegt die Unterkante des Bildes genau auf der Höhe der Unterkante der Schrift. Wird dagegen "Absolut Unten“ gewählt, stimmt die Unterkante des Bildes mit der Unterkante der Unterlängen des Schriftzuges überein.

  • Alternativtext
    Der Text, der vom Browser angezeigt werden soll, falls das Bild nicht dargestellt werden kann, weil z.B. der Browser das entsprechende Bildformat nicht kennt. Inzwischen ist es auch möglich, zwar diese Option anzuwählen, jedoch keinen Text anzugeben. Dieses Vorgehen kann dann sehr nützlich sein, wenn man vermeiden will, dass textorientierte Browser wie z.B. Lynx an der Stelle überhaupt etwas darstellen.

  • Niedrige Auflösung
    Diese Option ist vor allem für sehr große Bilder nützlich. Ist ein Bild beispielsweise 100 KB groß, so kann es insbesondere bei schlechten oder langsamen Verbindungen eine ganze Weile dauern, bis es vollständig angezeigt wird. Wird diese Option angeklickt, wird die danebenliegende Eingabezeile aktiv. In diese Eingabezeile kann direkt der Pfad und der Dateiname des in niedriger Auflösung vorhandenen Bildes eingegeben werden. Alternativ wird mit "Suchen“ der Dialog "Bilddatei öffnen...“ angezeigt. Dieses kleinere Bild wird zuerst übertragen und angezeigt. Wurden für das große Bild die Kontrollkästchen "Breite“ und "Höhe“ angeklickt, wird im Allgemeinen durch den Browser das kleine Bild auf die Originalgröße vergrößert (und damit in niedrigerer Auflösung dargestellt) oder aber ein Rahmen angezeigt, so dass die übrigen Elemente der HTML-Datei trotzdem korrekt angezeigt werden. Sobald nun das große Bild geladen wurde, ersetzt es das kleine Bild.

  • Hotspot
    Ein Hotspot-Bild muß grundsätzlich eine gültige Referenz (Anker) aufweisen, um ausgewertet werden zu können. Es wird folgendermaßen von Browser und Server ausgewertet: Der Browser überträgt die genauen Koordinaten eines Klicks mit der Maus auf das Bild. Auf dem Server (bzw. der referenzierten Adresse) werden die Koordinaten von einem CGI-Script oder einer Exe-Datei verarbeitet. Je nach der angeklickten Stelle, bzw. Bereich, kann dann eine andere Aktion erfolgen. Das Prinzip ähnelt einer Image-Map. Bei einer solchen wird aber eine referenzierte HTML-Datei, die auf dem Server liegt, an den Browser übermittelt, während beim Hotspot eine beliebige (programmgesteuerte) Aktion erfolgen kann.

  • Rahmen
    Wenn vom Benutzer gewünscht, kann jedes Bild einen Rahmen bekommen. Als Farbe für den Rahmen wird immer die normale Textfarbe verwendet, es sei denn das Bild befindet sich innerhalb einer Referenz, denn dann wird die jeweilige Referenzfarbe genommen. Wird als Wert 0 eingestellt, wird der Rahmen nicht gezeichnet.

  • Horiz. Freiraum
    Mit dieser Option wird der obere und untere Abstand des Bildes zu den umgebenden Elementen festgelegt. Die Angabe erfolgt immer in positiven Pixelwerten.

  • Vert. Freiraum
    Mit dieser Option wird der linke und rechte Abstand des Bildes zu den umgebenden Elementen festgelegt. Die Angabe erfolgt immer in positiven Pixelwerten.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Tabelle einfügen... - Darstellung

Dieser Dialog mit den folgenden Unterseiten dient dem Einfügen einer Tabelle. Auf der Unterseite "Darstellung" stehen diese Optionen zur Verfügung:

  • Spaltenanzahl
    Legt die Anzahl der Spalten der neuen Tabelle fest.

  • Zeilenanzahl
    Legt die Anzahl der Spalten der neuen Tabelle fest.

  • Ausrichtung
    Hiermit wird die Ausrichtung der Tabelle festgelegt. Mögliche Angaben sind links, rechts und zentriert.

  • Breite
    Die Angabe der Breite einer Tabelle kann in Prozent- oder aber in absoluten Pixelwerten erfolgen. Werden für Tabellen Werte gewählt, die kleiner als die Mindestbreite der darin enthaltenen Elemente ist, so wird die Tabelle mit der Mindestbreite dargestellt.

  • Höhe
    Die Angabe der Höhe einer Tabelle kann in Prozent- oder aber in absoluten Pixelwerten erfolgen. Werden für Tabellen Werte gewählt, die kleiner als die Mindesthöhe der darin enthaltenen Elemente ist, so wird die Tabelle mit der Mindesthöhe dargestellt.

  • Rahmen
    Wenn angewählt, wird um die Tabelle und die einzelnen Zellen ein Rahmen dargestellt. Bei Blindtabellen wird diese Option ausgeschaltet.

Beschreibung der Unterseite "Farben/Bilder"
Beschreibung der Unterseite "Zellenangaben"

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Tabelle einfügen... - Zellenangaben

Dieser Dialog mit den folgenden Unterseiten dient dem Einfügen einer Tabelle. Auf der Unterseite "Zellenangaben" stehen diese Optionen zur Verfügung:

  • Zellenrand
    Mindestabstand der Elemente in den Zellen vom Zellenrand in Pixel.

  • Zwischenraum
    Zwischenraum zwischen den einzelnen Zellen (und zum Zellenrand).

  • Vertikale Ausrichtung
    Ausrichtung der in den Tabellenzellen angeordneten Elemente. Diese Ausrichtung wird für die Zellen unwirksam, die separat eingestellt worden sind.

  • Zeilenumbrüche verhindern
    Verhinderung des automatischen Zeilenumbruchs innerhalb der Zellen. Ein Zeilenumbruch findet nur dann statt, wenn eine Zeilenschaltung eingegeben wird.

Beschreibung der Unterseite "Darstellung"
Beschreibung der Unterseite "Farben/Bilder"

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Tabelle einfügen... - Farben/Bilder

Dieser Dialog mit den folgenden Unterseiten dient dem Einfügen einer Tabelle. Auf der Unterseite "Farben/Bilder" stehen diese Optionen zur Verfügung:

  • Hintergrundfarbe
    Hiermit wird die Hintergrundfarbe für die gesamte Tabelle festgelegt.

  • Rahmenfarbe
    Hiermit wird die Rahmenfarbe für die Tabelle festgelegt.

  • Rahmenfarbe (hell)
    Hiermit wird die innere Rahmenfarbe für die Tabelle festgelegt.

  • Rahmenfarbe (dunkel)
    Hiermit wird die äußere Rahmenfarbe für die Tabelle festgelegt.

  • Hintergrundbild
    Hier kann das Hintergrundbild für die gesamte Tabelle eingestellt werden. Prinzipiell kann jedes Bild als Hintergrund dienen. Es ist jedoch ratsam, nur solche Bilder als Hintergrund zu verwenden, die die Textdarstellung des gesamten Dokuments hervorheben und keinesfalls verschlechtern, d.h. es sollten nur einigermaßen dezente Bilder mit relativ wenig Kontrast verwendet werden.
    Hintergrundbilder werden immer sooft wiederholt und nahtlos aneinandergereiht, bis die gesamte Tabellenfläche abgedeckt ist.

Beschreibung der Unterseite "Darstellung"
Beschreibung der Unterseite "Zellenangaben"

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Datum und Uhrzeit einfügen...

Durch dieses Dialogfeld kann das aktuelle Datum als Zeichenkette in das geöffnete Dokument an die Einfügeposition direkt eingesetzt werden. Zur Verfügung stehen die in der Liste aufgeführten Formate.

Das Einfügen der Zeichenfolge geschieht entweder durch Selektieren eines Listeneintrags mit anschließender Bestätigung oder aber durch einen Doppelklick auf das gewünschte Element.


BannerSurf-Code einfügen...

Durch dieses Dialogfeld kann auf sehr einfache Weise der für XynX! BannerSurf notwendige HTML-Quelltext eingefügt werden.

In den beiden Eingabefeldern werden einfach die Angaben zur Benutzer- sowie die Unterseiten-Kennung eingetragen. Die erste der beiden Angaben bekommen sie per eMail zugeschickt, wenn Sie sich beim XynX! BannerSurf anmelden.

Bei der Angabe der Unterseite (SubPage)-Kennung können Sie sich im Bereich von 1 bis 9999 frei bewegen.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".

© 2000 XynX!® GmbH - Deutschland


ErosSurf-Code einfügen...

Durch dieses Dialogfeld kann auf sehr einfache Weise der für XynX! ErosSurf notwendige HTML-Quelltext eingefügt werden.

In die beiden Eingabefeldern werden einfach die Angaben zur Benutzer- sowie die Unterseiten-Kennung eingetragen. Diese erste der beiden Angaben bekommen sie per eMail zugeschickt, wenn Sie sich beim XynX! ErosSurf anmelden.

Bei der Angabe der Unterseite (SubPage)-Kennung können Sie sich im Bereich von 1 bis 9999 frei bewegen.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Multimedia-Element einfügen...

Viele interessante Möglichkeiten bei der Benutzung des Internet wurden durch die Einführung des Multimedia-Elements "EMBED" in den neueren Browsergenerationen geschaffen. Mit diesem Element ist es möglich, beliebige Objekte in ein HTML-Dokument einzubinden. Inzwischen findet man im Internet recht häufig z.B. Videosequenzen und Klangdateien, ebenso stellen manche Radiosender ihr vollständiges Programm auch im Netz der Netze zur Verfügung.

Diese Objekte werden normalerweise durch die Dateierweiterung klassifiziert und zeigen dem Browser an, mit welchem ausführbaren Programm die Datei verbunden ist. Bei der Anzeige der so eingebetteten Dateien startet der Browser allerdings nicht einfach ein externes Programm, das dann in einem eigenen Fenster vor sich hin werkelt, sondern die Anzeige erfolgt innerhalb des Browserfensters in einem genau festgelegten Bereich.

Der Nachteil ist allerdings, dass ein solches Programm (zumindest unter Windows) OLE-fähig sein muß (z.B. WinWord) oder aber es muss ein für die angebene Dateierweiterung eingetragenes sogenanntes PlugIn im Browser installiert sein. Sehen Sie hierzu in den Dokumentationen der einzelnen Browser für weitergehende Einzelheiten nach. Allgemein kann jedoch gesagt werden, dass die "großen" Browser für die gängigsten Erweiterungen (z.B. *.AVI, *.WAV, *.AU) brauchbare PlugIns mitliefern, die dann auch automatisch installiert werden.

  • Quelldatei / Durchsuchen
    In die Eingabezeile kann direkt der Pfad und der Dateiname einer Multimedia-Datei eingegeben werden. Alternativ wird mit „Durchsuchen“ der Dialog "Datei suchen“ angezeigt.
    Hinweis: Um die Kompatibilität zu den im Internet weit verbreiteten Unix-Dateisystemen herzustellen, kommt es bei der Dateiangabe auf die Groß-/Kleinschreibung an. Wenn Sie also den Namen "freihändig“ eingeben und dabei einen derartigen Schreibfehler machen, wird der Browser später u.U. die gewünschte Datei nicht finden! Aus diesem Grund wird dringend geraten, Dateien per "Durchsuchen“ von JetEdit selbst eintragen zu lassen.

  • Breite
    des einzusetzenden Elements. Vorgegeben wird die tatsächliche Breite, die das Element bzw. die verwendete Abspielanzeige in Pixel benötigt.

  • Höhe
    des einzusetzenden Elements. Vorgegeben ist die tatsächliche Höhe - soweit sie sich ermitteln läßt - oder durch die Art der Anzeige für die angegebene Datei.

  • Ausrichtung
    des Elements. Möglich sind: Oben, Mitte, Unten, Links, Rechts, Basiszeile, Texthöhe, Absolute Mitte, Absolut Unten.
    Beispiel: Ein Element wird neben eine Überschrift eingesetzt und erhält die Ausrichtung "Basiszeile“. In diesem Fall liegt die Unterkante des Elements genau auf der Höhe der Unterkante der Schrift. Wird dagegen "Absolut Unten“ gewählt, stimmt die Unterkante des Elements mit der Unterkante der Unterlängen des Schriftzuges überein. Das Verhalten ist identisch mit dem von normalen Bildern.

  • Horiz. Freiraum
    Mit dieser Option wird der obere und untere Abstand des Elements zu den umgebenden Elementen festgelegt. Die Angabe erfolgt immer in Pixel.

  • Vert. Freiraum
    Mit dieser Option wird der linke und rechts Abstand des Elements zu den umgebenden Elementen festgelegt. Die Angabe erfolgt immer in Pixel.

  • Unsichtbar/Verborgen
    Das Element soll nicht angezeigt werden sondern nur im Speicher gehalten werden.

Hinweis: Es müssen immer beide Werte oder aber kein Wert für die Breite und Höhe angegeben werden. Ist nur einer der Werte vorhanden, wird dieser ignoriert und das Element wie ein verstecktes Element behandelt. Dieses gilt für alle multimediafähigen Browser.

Und noch ein Hinweis: Die meisten Browser sind nicht dazu in der Lage, doppelte Elemente innerhalb einer Seite zu verarbeiten (d.h. keine Multimedia-Datei sollte zwei- oder mehrfach in einem HTML-Dokument referenziert werden). Vermeiden Sie also am besten z.B. das einfache Kopieren von Elementen ohne anschließende Nachbearbeitung der Quelldateiangabe.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Schriftattribute einfügen...

Mittels dieses Dialogfeldes lassen sich mehrere Attribute gleichzeitig einfügen. Allerdings haben einige dieser Attribute keine Auswirkung auf die Darstellung des Textes.

Fett | Stellt Text fett dar.
Fett hervorgehoben | Stellt Text fett hervorgehoben dar.
Kursiv | Stellt Text kursiv dar
Unterstrichen | Stellt Text unterstrichen dar.
Durchgestrichen | Stellt Text durchgestrichen dar
Nichtproportional | Stellt Text nichtproportional dar.
Tastatureingaben | Stellt Tastatureingaben dar.
Programmcode | Stellt Programmcode dar.
Variable | Stellt Variablen dar.
Definition | Stellt Definitionen dar.
Zitat | Stellt zitierten Text dar.
Zitat 2 | Stellt ebenfalls zitierten Text dar.
Beispiel | Stellt Beispiele dar.
Kursiv hervorgehoben | Stellt Text kursiv hervorgehoben dar.
Blinkend | Stellt Text blinkend dar (nur Netscape!)

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Formular einfügen - Allgemein...

In diesem Dialogfeld lassen sich recht einfach und bequem die möglichen Optionen eines neuen Formulars bearbeiten bzw. einstellen.

  • Aktion
    In diesem Feld geben Sie die Aktion an, die der Browser ausführen soll, wenn das Formular "abgeschickt" werden soll.
    Angeben kann man hier z.B. entweder eine Internet-Adresse, an die das ausgefüllte Formular übermittelt werden soll. Die Internet-Adresse sollte dann immer eine vollständige URL sein.
    Es kann aber auch eine bestehendes HTML-Dokument angegeben werden. In diesem Fall lädt der Browser dann einfach das Dokument. Bem.: In diesem zweiten Fall müssen Sie als Methode GET angeben, sonst funktioniert das Verfahren nicht.

  • MIME-Typ
    Hier kann eine Zeichenkette angegeben werden, die den MIME-Typ der übertragenen Informationen enthält. Der Standardwert lautet application/x-www-form-urlencoded und braucht nicht extra angegeben zu werden. Im Normalfall sollte hier keine Angabe erfolgen, es sei denn Sie wissen genau was Sie tun...

  • Methode
    Hier geben Sie die Methode an, mit der die Formulardaten an den Server-Rechner übermittelt werden.
    Wenn Sie GET wählen, werden die Daten des ausgefüllten Formulars auf WWW-Servern mit installiertem HTTP-Protokoll in der Standard-Umgebungsvariablen QUERY_STRING gespeichert. Das CGI-Programm muß den Inhalt dieser Umgebungsvariablen auslesen und verarbeiten. Wenn Sie dagegen POST wählen, werden die Daten des ausgefüllten Formulars auf dem Server-Rechner von "stdin" zur Verfügung gestellt, und das CGI-Programm muß sie behandeln wie eine Benutzereingabe, die auf der Kommandozeile gemacht wurde. Da in diesem Fall kein EndOfFile-Signal (EOF) gesendet wird, muß das CGI- Programm die Standard-Umgebungsvariable CONTENT_LENGTH auslesen, um die Länge der übermittelten Daten und damit deren Ende zu ermitteln.

  • Zielframe
    Eingabe des Zielframes. Hier kann angegeben werden, in welches Zielframe verzweigt werden soll. Vorgegeben sind in dem Eingabeelement bereits die reservierten Namen "_blank", "_parent", "_top" und "_self"; die Bedeutung kann bei den Frame-Optionen nachgesehen werden.

Beschreibung der Unterseite "Variablen"

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Formular einfügen... - Variablen

Sie können Felder in einem Formular definieren, die dem Anwender nicht angezeigt werden. Diese versteckten Felder können jedoch Daten enthalten. Beim Absenden des Formulars werden versteckte Felder ebenso mit übertragen wie sichtbare. Die Reihenfolge der Angaben spielt dabei keine Rolle.

Beschreibung der Unterseite "Allgemein"

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".

Hier können recht einfach die sogenannten versteckten Variablen eingegeben und bearbeitet werden. Zur Bearbeitung einer einzelnen Variablen erscheint der nebenstehende Dialog:

  • Name
    Hier muß der Name der versteckten Variablen eingetragen werden.Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

  • Wert
    Die hier angegebene Zeichenkette liefert der WWW-Browser beim Senden des Formulars an den Server.

Eine mögliche Anwendung könnte z.B. bei mehrsprachigen Sites bestehen, bei denen ein einziges Skript die Auswertung des Formulars übernehmen soll, auch wenn die (Bezeichner-)Angaben in der jeweiligen Landessprache erscheinen. Als versteckte Variable könnte ein Hinweis untergebracht werden, in welcher Sprache das Formular dargestellt wird um dem Anwender die Antwort in der richtigen Sprache zuzusenden.


Versteckte Variablen einfügen...

Sie können Felder in einem Formular definieren, die dem Anwender nicht angezeigt werden. Diese versteckten Felder können jedoch Daten enthalten. Beim Absenden des Formulars werden versteckte Felder ebenso mit übertragen wie sichtbare. Die Reihenfolge der Angaben spielt dabei keine Rolle.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".

Hier können recht einfach die sogenannten versteckten Variablen eingegeben und bearbeitet werden. Zur Bearbeitung einer einzelnen Variablen erscheint der nebenstehende Dialog:

  • Name
    Hier muß der Name der versteckten Variablen eingetragen werden.Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

  • Wert
    Die hier angegebene Zeichenkette liefert der WWW-Browser beim Senden des Formulars an den Server.

Eine mögliche Anwendung könnte z.B. bei mehrsprachigen Sites bestehen, bei denen ein einziges Skript die Auswertung des Formulars übernehmen soll, auch wenn die (Bezeichner-)Angaben in der jeweiligen Landessprache erscheinen. Als versteckte Variable könnte ein Hinweis untergebracht werden, in welcher Sprache das Formular dargestellt wird um dem Anwender die Antwort in der richtigen Sprache zuzusenden.


Auswahlliste einfügen... - Darstellung

Anwender und Leser eines HTML-Dokuments werden häufig nach Wünschen und anderen Eingaben befragt. Sehr häufig sind die Leser dann gezwungen, immer und immer wieder dieselben Informationen einzugeben. Solche Eingabeelemente sind zwar oft sehr sinnvoll, jedoch bietet HTML auch die Möglichkeit, den Leser aus vorgegebenen Listen eine oder sogar mehrere Optionen auswählen zu lassen.
Und genau zu diesem Zweck existieren in HTML die Auswahllisten. Der Ersteller eines Formular-Dokuments definiert eine Auswahlliste und stellt anschließend verschiedene Optionen (Auswahlmöglichkeiten) bereit.

  • Name des Feldes
    Hier muß der Name des Formularelements eingetragen werden. Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

  • Höhe in Zeilen
    Definiert die Anzahl der Zeilen, die das Element maximal belegen darf. Als Besonderheit ergibt sich, dass wenn genau eine Zeile eingestellt ist, die Auswahlliste die Form einer sogenannten ComboBox annimmt. In allen anderen Fällen erscheint eine normale ListBox. Ist die Option nicht markiert, entscheidet der Browser, welche Darstellung zu verwenden ist.

  • Mehrfachauswahl
    Je nach Einstellung dieser Option ist es den Benutzern erlaubt, nur genau eine Option oder aber mehrere Optionen in der Auswahlliste gleichzeitig zu selektieren.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Auswahlliste einfügen... - Vorgaben

Damit eine Auswahlliste nicht so ganz leer daherkommt, können beliebig viele Daten als Vorgabe eingericht werden.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".

Die Bearbeitung der einzelnen Vorgaben erfolgt recht bequem durch das folgende Dialogfeld:

  • Bezeichner
    Der Bezeichner ist derjenige Wert, unter dem die Option später bei der Auswertung durch den Server (an den die Daten ja normalerweise gesendet werden) identifiziert wird. Daher sollten Optionen immer unterschiedliche Bezeichner aufweisen.

  • Markiert
    Definiert den Anfangszustand der Option.

  • Wert
    Diese Zeichenkette erscheint in der Auswahlliste in der Anzeige. Wird dieser Wert nicht angegeben, wird einfach die Zeichenkette des Bezeichners verwendet. Das Setzen dieser Option ist z.B. dann sinnvoll, wenn ein Dokument in mehreren Sprachen erstellt wird und die Auswertung sich immer nur auf die Bezeichnerzeichenketten stützt, während die Anzeige selbst landesspezifisch erscheint.


Auswahlfeld einfügen...

Auswahlfelder werden oft auch als Checkbuttons bezeichnet.

Auswahlfelder bilden eine Gruppe von beschrifteten Elementen, aus der der Anwender keinen, einen oder mehrere markieren ("ankreuzen") kann.

  • Name
    Hier muß der Name des Checkbuttons eingetragen werden. Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

  • Wert
    Die hier angegebene Zeichenkette liefert der WWW-Browser beim Senden des Formulars an den Server.

  • Vorgabe
    Soll diese Schaltfläche standardmäßig angekreuzt sein?

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Optionsschaltfläche einfügen...

Optionsschaltfläche ist ein recht umständlicher Begriff für einen Radiobutton.

Radiobuttons bilden normalerweise eine Gruppe von beschrifteten Feldern, aus der der Anwender genau einen markieren kann. Es kann immer nur einer der Buttons markiert sein. Einer ist stets markiert.

  • Name
    Hier muß der Name des Radiobuttons eingetragen werden.Alle Radiobuttons innerhalb eines Formulars, die den gleichen Namen tragen, bilden eine Gruppe, d.h. von diesen Buttons kann der Anwender genau einen markieren. Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

  • Wert
    Die hier angegebene Zeichenkette liefert der WWW-Browser beim Senden des Formulars an den Server.

  • Vorgabe
    Soll diese Schaltfläche standardmäßig markiert sein? Sind mehrere Radiobuttons innerhalb einer Gruppe mit dieser Option gekennzeichnet, wird normalerweise nur der erste markiert, bei den restlichen Elementen wird die Option also ignoriert

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Einfache Texteingabe...

Häufig auch als einzeilige Eingabefelder bezeichnet.

Einfache Texteingabefelder dienen zur Aufnahme von einem oder wenigen Wörtern oder einer Zahl. In diesem Zusammenhang s.a. Paßworteingaben.

  • Name
    Jedes Eingabefeld muß einen Feldnamen erhalten.Der Name sollte nicht zu lang sein und darf weder Leerzeichen noch z.B. deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

  • Vorgabe
    Eine hier angegebene Zeichenkette wird als Vorgabe in das Formularelement eingesetzt. Wird diese Angabe vom Anwender nicht überschrieben, erscheint sie auch in den Daten, die das Formular an den Server übermittelt.

  • Breite in Zeichen
    Bei der Anzeige durch den WWW-Browser bekommt das Feld diese Gesamtbreite. Wie breit das Feld dann aber tatsächlich dargestellt wird, hängt sehr vom verwendeten Browser ab.

  • Höhe in Zeichen
    Hier kann dem Feld eine neue Höhe bei der Anzeige mitgegeben werden. Als Vorgabe steht dort immer eine 1 und andere Werte machen auch wenig Sinn, denn das Eingabefeld wird auch bei größeren Werten nicht mehrzeilig!

  • Maximale Eingabe(länge)
    Gibt an, wieviele Zeichen das Feld maximal aufnehmen kann.

  • Paßwort
    Bei Feldeingaben, die verdeckt erfolgen sollen, verwenden Sie die Angabe Ja. Bei der Dateneingabe erscheinen dann nur Sternchen im Eingabefeld.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Einfache Passworteingabe...

Für Paßworteingabefelder gilt prinzipiell das gleiche wie für einfache Texteingaben.

  • Name
    Jedes Eingabefeld muß einen Feldnamen erhalten.Der Name sollte nicht zu lang sein und darf weder Leerzeichen noch z.B. deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

  • Vorgabe
    Eine hier angegebene Zeichenkette wird als Vorgabe in das Formularelement eingesetzt. Wird diese Angabe vom Anwender nicht überschrieben, erscheint sie auch in den Daten, die das Formular an den Server übermittelt.

  • Breite in Zeichen
    Bei der Anzeige durch den WWW-Browser bekommt das Feld diese Gesamtbreite. Wie breit das Feld dann aber tatsächlich dargestellt wird, hängt sehr vom verwendeten Browser ab.

  • Höhe in Zeichen
    Hier kann dem Feld eine neue Höhe bei der Anzeige mitgegeben werden. Als Vorgabe steht dort immer eine 1 und andere Werte machen auch wenig Sinn, denn das Eingabefeld wird auch bei größeren Werten nicht mehrzeilig!

  • Maximale Eingabe(länge)
    Gibt an, wieviele Zeichen das Feld maximal aufnehmen kann.

  • Paßwort
    Bei Feldeingaben, die verdeckt erfolgen sollen, verwenden Sie die Angabe Ja. Bei der Dateneingabe erscheinen dann nur Sternchen im Eingabefeld.

Hinweis: Dieser Schutz bei der Eingabe reicht jedoch nicht unbedingt sehr viel weiter. Da die Daten nach der Eingabe normalerweise unverschlüsselt über das Internet übertragen werden, können besonders böswillige Menschen auch diese Daten ausspionieren.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Mehrzeiligen Textbereich einfügen...

Mehrzeilige Textbereiche bieten die Möglichkeit, wesentlich mehr Text als z.B. die einfachen Texteingaben aufzunehmen. So ist z.B. möglich, den Benutzer / Leser des Dokuments einen ganzen Roman, Notizen oder Nachrichten eingeben zu lassen. Allerdings können im allgemeinen nur "normale" Zeichenfolgen eingegeben werden, also keine aufwendigen Formatierungen o.ä.

  • Name des Feldes
    Hier muß der Name des Formularelements eingetragen werden. Der Name sollte nicht zu lang sein und darf keine Leerzeichen und keine deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

  • Vorgabe
    Hier kann eine Vorgabe-Zeichenkette eingetragen werden, die beim ersten Aufbau des Dokuments in dem Element enthalten sein soll. Denkbar wäre z.B. die folgende Aufforderung:"Lassen Sie ihrer Kreativität freien Lauf und erzählen Sie mir Ihre Version der Geschichte". Dadurch wird der Benutzer aufgefordert, den bisherigen Inhalt des Formularelements zu überschreiben.

  • Breite in Zeichen
    Definiert die Breite des Textelements in Zeichen. Dabei ist allerdings zu beachten, dass der Autor des Dokuments vorher nur selten weiß, wie breit ein Zeichen auf dem Zielrechner sein wird.

  • Höhe in Zeilen
    Definiert die Höhe des Elements in Zeilen. Auch hier gilt, das die genaue Höhe einer Zeile in den meisten Fällen unbekannt sein dürfte ist die genaue Höhe des Textbereiches somit unbekannt.

WWW-Browser statten die mehrzeiligen Eingabefelder bei der Anzeige üblicherweise mit vertikalen und horizontalen Bildlaufleisten aus, so dass der Anwender bei längeren Eingaben "scrollen" kann.

Bem.: Die Standardvorgaben 20 Zeichen Breite und 10 Zeilen Höhe sind von JetEdit vorgegeben und dürften in den meisten Fällen für die Eingabe von Daten durchaus reichen. Ohne Angabe von Werten entscheidet der jeweilige Browser selbst über die Ausdehnung, oft mit kuriosen Folgen.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Dateiauswahl einfügen...

Hin und wieder kann es sein, dass der Besitzer einer Site Dateien von den Surfer geschickt bekommen möchte. Zu diesem Zweck existiert das Dateiauswahlelement. Das Element besitzt die folgenden Optionen:

  • Name
    Jedes Eingabefeld muß einen Feldnamen erhalten. Der Name sollte nicht zu lang sein und darf weder Leerzeichen noch z.B. deutschen Umlaute enthalten. Verwenden Sie als Sonderzeichen höchstens den Unterstrich "_".

  • Breite in Zeichen
    Bei der Anzeige durch den WWW-Browser bekommt das Feld diese Gesamtbreite. Wie breit das Feld dann aber tatsächlich dargestellt wird, hängt sehr vom verwendeten Browser ab.

  • Maximale Eingabe(länge)
    Gibt an, wieviele Zeichen das Feld maximal aufnehmen kann.

  • Erlaubte Dateien
    Geben Sei hier die MIME-Typen der erlaubten Dateien an, z.B. text/plain.

Der Surfer kann nun einen Dateinamen angeben oder durch Dateiauswahldialoge aussuchen. Diese Datei wird dann (nach dem Drücken der Absenden-Schaltfläche) an den Server gesendet.

Zusätzlich ist es möglich, nur bestimmte Dateiarten auswählen zu lassen. Das geschieht durch die Angabe in dem Eingabefeld Erlaubte Dateien, indem Sie dort die entsprechenden Werte eintragen. Wie die Angaben konkret auszusehen haben und welche Arten es überhaupt gibt, können Sie jedem besseren HTML-Buch entnehmen.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Absenden-Schaltfläche einfügen...

Schaltflächen werden von allen Browsern als handelsübliche Buttons dargestellt. HTML unterscheidet zwischen insgesamt drei verschiedenen Schaltflächenarten:

  • Absenden

  • Zurücksetzen

  • normale Schaltfläche

Absenden-Schaltflächen werden normalerweise dazu verwendet, ein ausgefülltes Formular an einen Server zu übermitteln. Die Gestaltung der Schaltfläche selbst kann ein wenig variieren:

Der Typ einer Absenden-Schaltfläche ist immer "Submit", während der an den Server übermittelte Name frei gewählt werden kann. Das bedeutet, dass der Server, der das Formular zur Bearbeitung zugeschickt bekommt, dann den hier angegebenen Name zu sehen bekommt oder aber, falls der Name nicht angegeben wurde, die Zeichenkette "SUBMIT".

Der Bezeichner enthält diejenige Zeichenfolge, die beim Browser auf der Schaltfläche erscheinen soll. Verwendet wird diese Möglichkeit sehr häufig, wenn z.B. ein CGI-Script die Auswertung auch der fremdsprachigen HTML-Formulardokumente übernehmen soll. Wird hier kein Bezeichner angegeben, tragen die Browser selbständig z.B. "Submit" als Zeichenfolge ein.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Zurücksetzen-Schaltfläche einfügen...

Schaltflächen werden von allen Browsern als handelsübliche Buttons dargestellt. HTML unterscheidet zwischen insgesamt drei verschiedenen Schaltflächenarten:

  • Absenden

  • Zurücksetzen

  • normale Schaltfläche

Zurücksetzen-Schaltflächen werden dazu verwendet, ein Formular in den ursprünglichen Zustand zurückzuversetzen. Der ursprüngliche Zustand ist dabei derjenige, den das Dokument beim Laden vom Server hat, es werden also die Angaben eingestellt, die in dem HTML-Dokument vorgegeben sind. Das Formular kommuniziert hierbei also nicht mit dem Server.

Für die Angaben eines Namens und des Bezeichners gelten die gleichen Regeln wie für die Absenden-Schaltfläche, nur dass als Zeichenfolge "RESET" verwendet wird.

Allerdings macht hier die Vergabe eines Namens recht wenig Sinn, da keine Daten an den Server übermittelt werden. Der Bezeichner erscheint wie gewohnt als Schriftzug auf der Schaltfläche.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Schaltfläche einfügen...

Schaltflächen werden von allen Browsern als handelsübliche Buttons dargestellt. HTML unterscheidet zwischen insgesamt drei verschiedenen Schaltflächenarten:

  • Absenden

  • Zurücksetzen

  • normale Schaltfläche

Bei diesen Schaltflächen handelt es sich um einfache "Buttons". Der an den Server übermittelte Typ lautet immer "BUTTON", Name und Bezeichner sind nicht optiona,l aber frei wählbar.

Hinweis: Die Namen der Schaltflächen sollten nur aus normalen ASCII-Zeichenfolgen bestehen. Umlaute z.B. können große Probleme verursachen, da beinahe jedes Betriebssystem eine andere interne Darstellung verwendet.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Bildschaltfläche einfügen...

Bildschaltflächen erscheinen beim Surfen im Internet als normale Bilder. Als besondere Eigenschaft kann dieses Bild jedoch angeklickt werden. In diesem Fall sendet der Browser sofort die Formulardaten an den HTTP-Server.

Auf der Basis dieses Elements lassen sich "andersartige" Schaltflächen als die normalen Buttons leicht erzeugen. Der Nachteil besteht allerdings darin, dass für die vollständige Darstellung des Formulars immer auch das angegebene Bild mit geladen werden muß. Weiterhin ist es nicht möglich, das Bild zu strecken oder zu stauchen, das Bild muß also im richtigen Format und der richtigen Größe vorliegen!

  • Name
    der Bildschaltfläche. Nur anhand dieses Namens kann herausgefunden werden, dass das Bild angeklickt worden ist.

  • Bild-Quelle / Durchsuchen
    In die Eingabezeile kann direkt der Pfad und der Dateiname des Bildes eingegeben werden. Alternativ wird mit „Durchsuchen“ der Dialog „Bilddatei suchen/einsetzen“ angezeigt.
    Hinweis: Um die Kompatibilität zu den im Internet weit verbreiteten Unix-Dateisystemen herzustellen, kommt es bei der Dateiangabe auf die Groß-/Kleinschreibung an. Wenn Sie also den Namen "freihändig" eingeben und dabei einen derartigen Schreibfehler machen, wird der Browser später u.U. die gewünschte Datei nicht finden! Und aus diesem Grund wird dringend geraten, Dateien per Durchsuchen von JetEdit selbst eintragen zu lassen.

  • Ausrichtung
    des Bildes. Möglich sind: Oben, Mitte, Unten, Links, Rechts, Basiszeile, Texthöhe, Absolute Mitte, Absolut Unten.
    Beispiel: Ein Bild wird neben eine Überschrift eingesetzt und erhält die Ausrichtung "Basiszeile“. In diesem Fall liegt die Unterkante des Bildes genau auf der Höhe der Unterkante der Schrift. Wird dagegen "Absolut Unten“ gewählt, stimmt die Unterkante des Bildes mit der Unterkante der Unterlängen des Schriftzuges überein.

  • Alternativtext
    Der Text, der vom Browser angezeigt werden soll, falls das Bild nicht dargestellt werden kann, weil z.B. der Browser das entsprechende Bildformat nicht kennt. Inzwischen ist es auch möglich, zwar diese Option anzuwählen, jedoch keinen Text anzugeben. Dieses Vorgehen kann dann sehr nützlich sein, wenn man vermeiden will, dass textorientierte Browser wie z.B. Lynx an der Stelle überhaupt etwas darstellen.

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".


Programmende

Wenn Sie in den Optionen angegeben haben, dass das Programmende bestätigt werden soll, erhalten Sie den hier abgebildeten Dialog.


Info über...

XynX® JetEdit

Version V 3.00

Informationen: | info@xynx.de
Support: | support@xynx.de
Internet: | http://www.xynx.de
Copyright: | © 2001-2001 XynX!™ GmbH - Deutschland


Neues Dokument erstellen...

Für neue HTML-Dokumente stellt JetEdit die folgenden weiteren Optionen zur Verfügung

  • Dokument-Titel
    Jedes Dokument sollte einen Dokumenttitel besitzen. Der Titel wird beim Browser i.d.R. in der Titelzeile angezeigt.

  • Bearbeiter
    Hier kann der Bearbeiter des Dokuments eingetragen werden.

  • Generator-Identifizierung
    Anhang dieser Angabe kann man später ersehen, mit welchem Programm das Dokument erstellt worden ist.

  • Aktuelle Datum
    Datum der Erstellung des Dokuments. Mit Hilfe dieser Angabe kann leichter ersehen werden, wann das Dokument zuletzt bearbeitet und modifizert worden ist.

  • Dokumenttyp
    Durch diese sogenannte DocType-Angabe kann der Browser sich besser auf das Dokument und dessen verwendete Möglichkeiten einstellen. Diese Vorgabe sollten Sie nur dann ändern, wenn Sie wissen was Sie tun.

Durch die Optionsschaltflächen können Sie leicht bestimmen, welche der angegebenen Angaben in das neue Dokument eingetragen werden sollen. Wählen Sie einfach gewünschten Optionen und klicken Sie dann auf die Taste "Weiter >". Falls Sie jetzt doch kein HTML-Dokument mehr erstellen möchten, sondern lieber eine andere Dokumentart, klicken Sie einfach auf die Taste "< Zurück". Wenn jedoch keine weiteren Angaben mehr benötigt werden, klicken Sie auf "Fertigstellen"-Taste.


Neues Dokument erstellen...

Jedem HTML-Dokument können noch die folgenden Optionen hinzugefügt werden:

  • Farbe des normalen Textes
    Hier können die Farben angegeben werden, die in dem neuen Dokument für die verschiedenen Textarten verwendet werden sollen. In dem Kasten rechts neben den Schaltflächen kann das Ergebnis vorab besichtigt werden.

  • Farbe der Verweise

  • Farbe selektierter Verweise

  • Farbe bereits besuchter Verweise

  • Farbe des Hintergrunds
    Hinweis: Wenn für den Hintergrund sowohl eine Farbe als auch ein Bild angegeben ist, hat das Bild bei der Darstellung immer Vorrang. Nur dann, wenn das Bild transparent oder das Bild aus irgendeinem Grund nicht verfügbar ist, wird die Hintergrundfarbe zur Darstellung verwendet.

  • Hintergrundbild
    Hier kann das Hintergrundbild eingestellt werden. Prinzipiell kann jedes Bild als Hintergrund dienen. Es ist jedoch ratsam, nur solche Bilder als Hintergrund zu verwenden, die die Textdarstellung des gesamten Dokuments hervorhebt und keinesfalls verschlechtert, d.h. es sollten nur einigermaßen dezente Bilder mit relativ wenig Kontrast verwendet werden.
    Hintergrundbilder werden immer sooft wiederholt und nahtlos aneinandergereiht, bis der gesamte Fensterhintergrund abgedeckt ist.

Durch die Optionsschaltflächen können Sie leicht bestimmen, welche der angegebenen Angaben in das neue Dokument eingetragen werden sollen. Klicken Sie dann auf die Taste "Fertigstellen", um das Dokument zu erstellen und in JetEdit anzuzeigen. Falls Sie noch weitere/andere Optionen für das neu zu erstellende Dokument angeben möchten, können Sie jederzeit mit "< Zurück" zur den vorherigen Optionen zurückgehen.


Skript einfügen...

Mittels dieses Dialogs kann auf einfache und bequeme Weise ein direkt ausführbares Skript in einem HTML-Dokument definiert werden.

Innerhalb dieses Dialogs stehen mehrere Möglichkeiten zur Skripteingabe zur Verfügung. Entweder kann ein Skript direkt per Tastatur oder durch Kopieren von der Zwischenablage eingegeben werden.

  • Typ
    Spezifizieren Sie hier den Typ der verwendeten Skriptsprache. Die Angabe muß in der sogenannten Internet Medien Typ-Schreibweise erfolgen, also z.B. text/javascript oder text/vbscript.

  • Sprache
    Ältere Browserversionen kennen die Typ-Angabe nicht und verlassen sich auf die einfachere Sprachangabenform, also z.B. nur javascript oder vbscript.

  • URL
    Anstatt das Skript direkt einzugeben, kann der Browser dazu aufgefordert werden, das Skript in einer separaten Datei zu suchen und dann normal weiterzuarbeiten.
    Die URL-Angabe erfolgt wie gewohnt und muß auf eine bestehende Datei zeigen. Dabei hilft die Suchen-Schaltfläche.
    Allerdings sollte die Skriptdatei bereits in dem Verzeichnis innerhalb der Sitestruktur liegen, denn JetEdit kopiert die Datei nicht in das Projektverzeichnis!
    Natürlich kann die URL auch auf externe Skripts, deren URL z.B. mit http:// beginnt verweisen. Zum Holen und zur Ausführung des Skripts muß dann jedoch eine reguläre IP-Verbindung zum angesprochenen Server bestehen.
    WICHTIG: Die Netscape Browser der Versionen 3.0 und davor beherrschen anscheinend nicht alle diese Angaben. Trifft Netscape 3.0 z.B. auf eine solche URL, lädt es die Scriptdatei und zeigt sie an - führt sie aber nicht aus! Die Version 4.0 beherrscht jedoch diese Option.

  • Programmcode
    Geben Sie hier direkt das Skript ein. Erlaubt sind alle Zeichen die Windows zu bieten hat. Allerdings sollten Sie sehr vorsichtig mit Sonderzeichen wie z.B. den deutschen Umlauten sein, denn JetEdit kann Ihr Programmskript weder analysieren noch umwandeln.
    Wenn Sie also z.B. ein Ä in einer Zeichenkette eingeben wollen, können Sie dieses direkt tun, besser ist es aber, &Auml; einzugeben, da dann auch Nicht-Windows-Systeme ein Ä ausgeben.
    Zusätzlich gilt, dass so mancher Browser mit Skripten nichts anfangen kann und das Programm als auszugebende Zeichenkette auffaßt und versucht darzustellen. Um dieser zu vermeiden, verpackt man den Programmcode in einen HTML-Kommentar. Wie der Kommentar jedoch konkret auszusehen hat, hängt auch von der verwendeten Skriptsprache ab!

Beim Bestätigen des Dialogs mittels der "OK"-Taste übernimmt JetEdit die angegebenen Optionen unmittelbar und trägt sie in das aktuelle Dokument ein. Sollen die Angaben nicht übernommen werden, klicken Sie auf "Abbrechen".